-- phpMyAdmin SQL Dump
-- version 5.1.1deb5ubuntu1
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost:3306
-- Généré le : jeu. 11 juil. 2024 à 18:43
-- Version du serveur : 10.6.18-MariaDB-0ubuntu0.22.04.1
-- Version de PHP : 8.1.2-1ubuntu2.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données : `solutechjp`
--

-- --------------------------------------------------------

--
-- Structure de la table `gesper_academic_level`
--

CREATE TABLE `gesper_academic_level` (
  `id_academic_level` int(3) NOT NULL,
  `intitule_academic_level_fr` mediumtext DEFAULT NULL,
  `intitule_academic_level_en` mediumtext DEFAULT NULL,
  `intitule_academic_level_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_academic_level`
--

INSERT INTO `gesper_academic_level` (`id_academic_level`, `intitule_academic_level_fr`, `intitule_academic_level_en`, `intitule_academic_level_jp`, `date_modif`, `archive`) VALUES
(1, ' baccaauréat', 'bachelor\'s degree', 'バカロレア', NULL, 0),
(2, ' bac +2', 'BTEC Higher National Diploma', '大学レベル', NULL, 0),
(3, ' Aucun diplôme', 'No diploma', '学位なし ', NULL, 0),
(4, ' Diplôme d\'études secondaires ou équivalent', 'High school diploma or equivalent', '高校卒業証書または同等  ', NULL, 0),
(5, ' Diplôme d\'études postsecondaires non universitaires', 'Non-university postsecondary diploma', '大学非卒業証書', NULL, 0),
(6, ' Diplôme d\'études universitaires - Licence', 'University degree - Bachelor\'s', '大学学位 - 学士', NULL, 0),
(7, ' Diplôme d\'études universitaires - Maîtrise', 'University degree - Master\'s', '大学学位 - 修士', NULL, 0),
(8, ' Diplôme d\'études universitaires - Doctorat', 'University degree - Doctorate (Ph.D.)', '大学学位 - 博士', NULL, 0),
(9, ' Diplôme professionnel ou technique', 'Professional or technical diploma', '専門または技術の学位', NULL, 0),
(10, ' Éducation continue et formation professionnelle', 'Continuing education and professional training', '継続教育と専門トレーニング', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_allowance`
--

CREATE TABLE `gesper_allowance` (
  `id_allowance` int(10) UNSIGNED NOT NULL,
  `intitule_allowance_fr` mediumtext DEFAULT NULL,
  `intitule_allowance_en` mediumtext DEFAULT NULL,
  `intitule_allowance_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_allowance`
--

INSERT INTO `gesper_allowance` (`id_allowance`, `intitule_allowance_fr`, `intitule_allowance_en`, `intitule_allowance_jp`, `date_modif`, `archive`) VALUES
(1, 'Bonus', 'Bonus', 'ボーナス', NULL, 0),
(2, 'Prime de logement', 'Housing allowance', '住宅手当', NULL, 0),
(3, ' Toilette', ' Toilet', ' 便所', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_allowance_documents`
--

CREATE TABLE `gesper_allowance_documents` (
  `id_allowance_document` int(11) NOT NULL,
  `document_id_worker_allowance` int(11) DEFAULT NULL,
  `intitule_allowance_document` text DEFAULT NULL,
  `path_allowance_document` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_allowance_relative`
--

CREATE TABLE `gesper_allowance_relative` (
  `id_allowance_relative` int(10) UNSIGNED NOT NULL,
  `intitule_allowance_relative_fr` mediumtext DEFAULT NULL,
  `intitule_allowance_relative_en` mediumtext DEFAULT NULL,
  `intitule_allowance_relative_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_allowance_relative`
--

INSERT INTO `gesper_allowance_relative` (`id_allowance_relative`, `intitule_allowance_relative_fr`, `intitule_allowance_relative_en`, `intitule_allowance_relative_jp`, `date_modif`, `archive`) VALUES
(1, 'prime enfant', 'child allowance', '子供ボーナス', NULL, 0),
(2, 'Aide à la scolarité', 'Schooling assistance', '就学支援', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_allowance_relative_documents`
--

CREATE TABLE `gesper_allowance_relative_documents` (
  `id_allowance_relative_document` int(10) NOT NULL,
  `document_id_relative_allowance_relative` int(11) DEFAULT NULL,
  `intitule_allowance_relative_document` text DEFAULT NULL,
  `path_allowance_relative_document` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_amendments`
--

CREATE TABLE `gesper_amendments` (
  `id_amendment` int(11) NOT NULL,
  `amendment_id_contract` int(11) DEFAULT NULL,
  `num_amendment` tinytext DEFAULT NULL,
  `amendment_id_worker` int(11) DEFAULT NULL,
  `amendment_id_work_position` int(11) DEFAULT NULL,
  `amendment_id_type` int(11) DEFAULT NULL,
  `amendment_hours` int(11) DEFAULT NULL,
  `amendment_salaire` int(11) DEFAULT NULL,
  `amendment_debut` date DEFAULT NULL,
  `amendment_fin` date DEFAULT '0000-00-00',
  `amendment_memo` text DEFAULT NULL,
  `amendment_modif_historique` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_amendment_documents`
--

CREATE TABLE `gesper_amendment_documents` (
  `id_amendment_document` int(11) NOT NULL,
  `document_id_amendment` int(11) DEFAULT NULL,
  `intitule_amendment_document` text DEFAULT NULL,
  `path_amendment_document` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_buildings`
--

CREATE TABLE `gesper_buildings` (
  `id_building` int(11) NOT NULL,
  `intitule_building` mediumtext DEFAULT NULL,
  `building_id_entity` int(11) DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_cloking_2022`
--

CREATE TABLE `gesper_cloking_2022` (
  `id_clocking` int(10) NOT NULL,
  `year` int(4) NOT NULL DEFAULT 2023,
  `clocking_id_worker` int(11) NOT NULL,
  `action` varchar(20) NOT NULL,
  `datetime` datetime NOT NULL,
  `valid` tinyint(1) NOT NULL DEFAULT 0,
  `reason` mediumtext DEFAULT NULL,
  `datetime_reason` datetime DEFAULT NULL,
  `regularised` tinyint(1) NOT NULL DEFAULT 0,
  `regularised_id_personne` int(10) DEFAULT NULL,
  `datime_regularisation` datetime DEFAULT NULL,
  `memo` mediumtext DEFAULT NULL,
  `time_off` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_cloking_2023`
--

CREATE TABLE `gesper_cloking_2023` (
  `id_clocking` int(10) NOT NULL,
  `year` int(4) NOT NULL DEFAULT 2023,
  `clocking_id_worker` int(11) NOT NULL,
  `action` varchar(20) NOT NULL,
  `datetime` datetime NOT NULL,
  `valid` tinyint(1) NOT NULL DEFAULT 0,
  `reason` mediumtext DEFAULT NULL,
  `datetime_reason` datetime DEFAULT NULL,
  `regularised` tinyint(1) NOT NULL DEFAULT 0,
  `regularised_id_personne` int(10) DEFAULT NULL,
  `datime_regularisation` datetime DEFAULT NULL,
  `memo` mediumtext DEFAULT NULL,
  `time_off` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_cloking_2024`
--

CREATE TABLE `gesper_cloking_2024` (
  `id_clocking` int(10) NOT NULL,
  `year` int(4) NOT NULL DEFAULT 2023,
  `clocking_id_worker` int(11) NOT NULL,
  `action` varchar(20) NOT NULL,
  `datetime` datetime NOT NULL,
  `valid` tinyint(1) NOT NULL DEFAULT 0,
  `reason` mediumtext DEFAULT NULL,
  `datetime_reason` datetime DEFAULT NULL,
  `regularised` tinyint(1) NOT NULL DEFAULT 0,
  `regularised_id_personne` int(10) DEFAULT NULL,
  `datime_regularisation` datetime DEFAULT NULL,
  `memo` mediumtext DEFAULT NULL,
  `time_off` time DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_contracts`
--

CREATE TABLE `gesper_contracts` (
  `id_contract` int(11) NOT NULL,
  `num_contract` tinytext DEFAULT NULL,
  `contract_id_worker` int(11) DEFAULT NULL,
  `contract_id_work_position` int(11) DEFAULT NULL,
  `contract_id_type` int(11) DEFAULT NULL,
  `essaie_debut` date NOT NULL,
  `essaie_fin` date NOT NULL,
  `contract_hours` int(11) DEFAULT NULL,
  `contract_salaire` int(11) DEFAULT NULL,
  `contract_debut` date DEFAULT NULL,
  `contract_fin` date DEFAULT '0000-00-00',
  `paid_leave` int(11) DEFAULT 0,
  `parental_paid_leave` int(11) DEFAULT 0,
  `carryoverl_paid_leave` int(11) DEFAULT 0,
  `contract_memo` text DEFAULT NULL,
  `contract_modif_historique` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_contract_documents`
--

CREATE TABLE `gesper_contract_documents` (
  `id_contract_document` int(11) NOT NULL,
  `document_id_contract` int(11) DEFAULT NULL,
  `intitule_contract_document` text DEFAULT NULL,
  `path_contract_document` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_contract_type`
--

CREATE TABLE `gesper_contract_type` (
  `id_contract_type` int(10) UNSIGNED NOT NULL,
  `intitule_contract_type_fr` mediumtext DEFAULT NULL,
  `intitule_contract_type_en` mediumtext DEFAULT NULL,
  `intitule_contract_type_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_contract_type`
--

INSERT INTO `gesper_contract_type` (`id_contract_type`, `intitule_contract_type_fr`, `intitule_contract_type_en`, `intitule_contract_type_jp`, `date_modif`, `archive`) VALUES
(1, 'CDI (Contrat à Durée Indéterminée)', 'Permanent contract', '無期契約', NULL, 0),
(2, 'CDD (Contrat à Durée Déterminée)', 'Fixed-term contract', '有期契約', NULL, 0),
(3, 'Vacation', 'Part time', 'バイト', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_countries`
--

CREATE TABLE `gesper_countries` (
  `id_country` int(11) NOT NULL,
  `code_alpha2` varchar(10) DEFAULT NULL,
  `code_alpha3` varchar(10) DEFAULT NULL,
  `intitule_country_jp` mediumtext DEFAULT NULL,
  `intitule_country_en` mediumtext DEFAULT NULL,
  `intitule_country_fr` mediumtext DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_countries`
--

INSERT INTO `gesper_countries` (`id_country`, `code_alpha2`, `code_alpha3`, `intitule_country_jp`, `intitule_country_en`, `intitule_country_fr`) VALUES
(4, 'af', 'afg', 'アフガニスタン', 'Afghanistan', 'Afghanistan'),
(8, 'al', 'alb', 'アルバニア', 'Albania', 'Albanie'),
(10, 'aq', 'ata', '南極', 'Antarctica', 'Antarctique'),
(12, 'dz', 'dza', 'アルジェリア', 'Algeria', 'Algérie'),
(16, 'as', 'asm', 'アメリカ領サモア', 'American Samoa', 'Samoa américaines'),
(20, 'ad', 'and', 'アンドラ', 'Andorra', 'Andorre'),
(24, 'ao', 'ago', 'アンゴラ', 'Angola', 'Angola'),
(28, 'ag', 'atg', 'アンティグア・バーブーダ', 'Antigua and Barbuda', 'Antigua-et-Barbuda'),
(31, 'az', 'aze', 'アゼルバイジャン', 'Azerbaijan', 'Azerbaïdjan'),
(32, 'ar', 'arg', 'アルゼンチン', 'Argentina', 'Argentine'),
(36, 'au', 'aus', 'オーストラリア', 'Australia', 'Australie'),
(40, 'at', 'aut', 'オーストリア', 'Austria', 'Autriche'),
(44, 'bs', 'bhs', 'バハマ', 'Bahamas', 'Bahamas'),
(48, 'bh', 'bhr', 'バーレーン', 'Bahrain', 'Bahreïn'),
(50, 'bd', 'bgd', 'バングラデシュ', 'Bangladesh', 'Bangladesh'),
(51, 'am', 'arm', 'アルメニア', 'Armenia', 'Arménie'),
(52, 'bb', 'brb', 'バルバドス', 'Barbados', 'Barbade'),
(56, 'be', 'bel', 'ベルギー', 'Belgium', 'Belgique'),
(60, 'bm', 'bmu', 'バミューダ', 'Bermuda', 'Bermudes'),
(64, 'bt', 'btn', 'ブータン', 'Bhutan', 'Bhoutan'),
(68, 'bo', 'bol', 'ボリビア多民族国', 'Bolivia (Plurinational State of)', 'Bolivie'),
(70, 'ba', 'bih', 'ボスニア・ヘルツェゴビナ', 'Bosnia and Herzegovina', 'Bosnie-Herzégovine'),
(72, 'bw', 'bwa', 'ボツワナ', 'Botswana', 'Botswana'),
(74, 'bv', 'bvt', 'ブーベ島', 'Bouvet Island', 'Île Bouvet'),
(76, 'br', 'bra', 'ブラジル', 'Brazil', 'Brésil'),
(84, 'bz', 'blz', 'ベリーズ', 'Belize', 'Belize'),
(86, 'io', 'iot', 'イギリス領インド洋地域', 'British Indian Ocean Territory', 'Territoire britannique de l\'océan Indien'),
(90, 'sb', 'slb', 'ソロモン諸島', 'Solomon Islands', 'Îles Salomon'),
(92, 'vg', 'vgb', 'イギリス領ヴァージン諸島', 'Virgin Islands (British)', 'Îles Vierges britanniques'),
(96, 'bn', 'brn', 'ブルネイ・ダルサラーム', 'Brunei Darussalam', 'Brunei'),
(100, 'bg', 'bgr', 'ブルガリア', 'Bulgaria', 'Bulgarie'),
(104, 'mm', 'mmr', 'ミャンマー', 'Myanmar', 'Birmanie'),
(108, 'bi', 'bdi', 'ブルンジ', 'Burundi', 'Burundi'),
(112, 'by', 'blr', 'ベラルーシ', 'Belarus', 'Biélorussie'),
(116, 'kh', 'khm', 'カンボジア', 'Cambodia', 'Cambodge'),
(120, 'cm', 'cmr', 'カメルーン', 'Cameroon', 'Cameroun'),
(124, 'ca', 'can', 'カナダ', 'Canada', 'Canada'),
(132, 'cv', 'cpv', 'カーボベルデ', 'Cabo Verde', 'Cap-Vert'),
(136, 'ky', 'cym', 'ケイマン諸島', 'Cayman Islands', 'Îles Caïmans'),
(140, 'cf', 'caf', '中央アフリカ共和国', 'Central African Republic', 'République centrafricaine'),
(144, 'lk', 'lka', 'スリランカ', 'Sri Lanka', 'Sri Lanka'),
(148, 'td', 'tcd', 'チャド', 'Chad', 'Tchad'),
(152, 'cl', 'chl', 'チリ', 'Chile', 'Chili'),
(156, 'cn', 'chn', '中華人民共和国', 'China', 'Chine'),
(158, 'tw', 'twn', '台湾（中華民国）', 'Taiwan, Province of China', 'Taïwan / (République de Chine (Taïwan))'),
(162, 'cx', 'cxr', 'クリスマス島', 'Christmas Island', 'Île Christmas'),
(166, 'cc', 'cck', 'ココス（キーリング）諸島', 'Cocos (Keeling) Islands', 'Îles Cocos'),
(170, 'co', 'col', 'コロンビア', 'Colombia', 'Colombie'),
(174, 'km', 'com', 'コモロ', 'Comoros', 'Comores'),
(175, 'yt', 'myt', 'マヨット', 'Mayotte', 'Mayotte'),
(178, 'cg', 'cog', 'コンゴ共和国', 'Congo', 'République du Congo'),
(180, 'cd', 'cod', 'コンゴ民主共和国', 'Congo, Democratic Republic of the', 'République démocratique du Congo'),
(184, 'ck', 'cok', 'クック諸島', 'Cook Islands', 'Îles Cook'),
(188, 'cr', 'cri', 'コスタリカ', 'Costa Rica', 'Costa Rica'),
(191, 'hr', 'hrv', 'クロアチア', 'Croatia', 'Croatie'),
(192, 'cu', 'cub', 'キューバ', 'Cuba', 'Cuba'),
(196, 'cy', 'cyp', 'キプロス', 'Cyprus', 'Chypre'),
(203, 'cz', 'cze', 'チェコ', 'Czechia', 'Tchéquie'),
(204, 'bj', 'ben', 'ベナン', 'Benin', 'Bénin'),
(208, 'dk', 'dnk', 'デンマーク', 'Denmark', 'Danemark'),
(212, 'dm', 'dma', 'ドミニカ国', 'Dominica', 'Dominique'),
(214, 'do', 'dom', 'ドミニカ共和国', 'Dominican Republic', 'République dominicaine'),
(218, 'ec', 'ecu', 'エクアドル', 'Ecuador', 'Équateur'),
(222, 'sv', 'slv', 'エルサルバドル', 'El Salvador', 'Salvador'),
(226, 'gq', 'gnq', '赤道ギニア', 'Equatorial Guinea', 'Guinée équatoriale'),
(231, 'et', 'eth', 'エチオピア', 'Ethiopia', 'Éthiopie'),
(232, 'er', 'eri', 'エリトリア', 'Eritrea', 'Érythrée'),
(233, 'ee', 'est', 'エストニア', 'Estonia', 'Estonie'),
(234, 'fo', 'fro', 'フェロー諸島', 'Faroe Islands', 'Îles Féroé'),
(238, 'fk', 'flk', 'フォークランド（マルビナス）諸島', 'Falkland Islands (Malvinas)', 'Malouines'),
(239, 'gs', 'sgs', 'サウスジョージア・サウスサンドウィッチ諸島', 'South Georgia and the South Sandwich Islands', 'Géorgie du Sud-et-les îles Sandwich du Sud'),
(242, 'fj', 'fji', 'フィジー', 'Fiji', 'Fidji'),
(246, 'fi', 'fin', 'フィンランド', 'Finland', 'Finlande'),
(248, 'ax', 'ala', 'オーランド諸島', 'Åland Islands', 'Îles Åland'),
(250, 'fr', 'fra', 'フランス', 'France', 'France'),
(254, 'gf', 'guf', 'フランス領ギアナ', 'French Guiana', 'Guyane'),
(258, 'pf', 'pyf', 'フランス領ポリネシア', 'French Polynesia', 'Polynésie française'),
(260, 'tf', 'atf', 'フランス領南方・南極地域', 'French Southern Territories', 'Terres australes et antarctiques françaises'),
(262, 'dj', 'dji', 'ジブチ', 'Djibouti', 'Djibouti'),
(266, 'ga', 'gab', 'ガボン', 'Gabon', 'Gabon'),
(268, 'ge', 'geo', 'ジョージア', 'Georgia', 'Géorgie'),
(270, 'gm', 'gmb', 'ガンビア', 'Gambia', 'Gambie'),
(275, 'ps', 'pse', 'パレスチナ', 'Palestine, State of', 'Palestine'),
(276, 'de', 'deu', 'ドイツ', 'Germany', 'Allemagne'),
(288, 'gh', 'gha', 'ガーナ', 'Ghana', 'Ghana'),
(292, 'gi', 'gib', 'ジブラルタル', 'Gibraltar', 'Gibraltar'),
(296, 'ki', 'kir', 'キリバス', 'Kiribati', 'Kiribati'),
(300, 'gr', 'grc', 'ギリシャ', 'Greece', 'Grèce'),
(304, 'gl', 'grl', 'グリーンランド', 'Greenland', 'Groenland'),
(308, 'gd', 'grd', 'グレナダ', 'Grenada', 'Grenade'),
(312, 'gp', 'glp', 'グアドループ', 'Guadeloupe', 'Guadeloupe'),
(316, 'gu', 'gum', 'グアム', 'Guam', 'Guam'),
(320, 'gt', 'gtm', 'グアテマラ', 'Guatemala', 'Guatemala'),
(324, 'gn', 'gin', 'ギニア', 'Guinea', 'Guinée'),
(328, 'gy', 'guy', 'ガイアナ', 'Guyana', 'Guyana'),
(332, 'ht', 'hti', 'ハイチ', 'Haiti', 'Haïti'),
(334, 'hm', 'hmd', 'ハード島とマクドナルド諸島', 'Heard Island and McDonald Islands', 'Îles Heard-et-MacDonald'),
(336, 'va', 'vat', 'バチカン市国', 'Holy See', 'Saint-Siège (État de la Cité du Vatican)'),
(340, 'hn', 'hnd', 'ホンジュラス', 'Honduras', 'Honduras'),
(344, 'hk', 'hkg', '香港', 'Hong Kong', 'Hong Kong'),
(348, 'hu', 'hun', 'ハンガリー', 'Hungary', 'Hongrie'),
(352, 'is', 'isl', 'アイスランド', 'Iceland', 'Islande'),
(356, 'in', 'ind', 'インド', 'India', 'Inde'),
(360, 'id', 'idn', 'インドネシア', 'Indonesia', 'Indonésie'),
(364, 'ir', 'irn', 'イラン・イスラム共和国', 'Iran (Islamic Republic of)', 'Iran'),
(368, 'iq', 'irq', 'イラク', 'Iraq', 'Irak'),
(372, 'ie', 'irl', 'アイルランド', 'Ireland', 'Irlande'),
(376, 'il', 'isr', 'イスラエル', 'Israel', 'Israël'),
(380, 'it', 'ita', 'イタリア', 'Italy', 'Italie'),
(384, 'ci', 'civ', 'コートジボワール', 'Côte d\'Ivoire', 'Côte d\'Ivoire'),
(388, 'jm', 'jam', 'ジャマイカ', 'Jamaica', 'Jamaïque'),
(392, 'jp', 'jpn', '日本', 'Japan', 'Japon'),
(398, 'kz', 'kaz', 'カザフスタン', 'Kazakhstan', 'Kazakhstan'),
(400, 'jo', 'jor', 'ヨルダン', 'Jordan', 'Jordanie'),
(404, 'ke', 'ken', 'ケニア', 'Kenya', 'Kenya'),
(408, 'kp', 'prk', '朝鮮民主主義人民共和国', 'Korea (Democratic People\'s Republic of)', 'Corée du Nord'),
(410, 'kr', 'kor', '大韓民国', 'Korea, Republic of', 'Corée du Sud'),
(414, 'kw', 'kwt', 'クウェート', 'Kuwait', 'Koweït'),
(417, 'kg', 'kgz', 'キルギス', 'Kyrgyzstan', 'Kirghizistan'),
(418, 'la', 'lao', 'ラオス人民民主共和国', 'Lao People\'s Democratic Republic', 'Laos'),
(422, 'lb', 'lbn', 'レバノン', 'Lebanon', 'Liban'),
(426, 'ls', 'lso', 'レソト', 'Lesotho', 'Lesotho'),
(428, 'lv', 'lva', 'ラトビア', 'Latvia', 'Lettonie'),
(430, 'lr', 'lbr', 'リベリア', 'Liberia', 'Liberia'),
(434, 'ly', 'lby', 'リビア', 'Libya', 'Libye'),
(438, 'li', 'lie', 'リヒテンシュタイン', 'Liechtenstein', 'Liechtenstein'),
(440, 'lt', 'ltu', 'リトアニア', 'Lithuania', 'Lituanie'),
(442, 'lu', 'lux', 'ルクセンブルク', 'Luxembourg', 'Luxembourg'),
(446, 'mo', 'mac', 'マカオ', 'Macao', 'Macao'),
(450, 'mg', 'mdg', 'マダガスカル', 'Madagascar', 'Madagascar'),
(454, 'mw', 'mwi', 'マラウイ', 'Malawi', 'Malawi'),
(458, 'my', 'mys', 'マレーシア', 'Malaysia', 'Malaisie'),
(462, 'mv', 'mdv', 'モルディブ', 'Maldives', 'Maldives'),
(466, 'ml', 'mli', 'マリ', 'Mali', 'Mali'),
(470, 'mt', 'mlt', 'マルタ', 'Malta', 'Malte'),
(474, 'mq', 'mtq', 'マルティニーク', 'Martinique', 'Martinique'),
(478, 'mr', 'mrt', 'モーリタニア', 'Mauritania', 'Mauritanie'),
(480, 'mu', 'mus', 'モーリシャス', 'Mauritius', 'Maurice'),
(484, 'mx', 'mex', 'メキシコ', 'Mexico', 'Mexique'),
(492, 'mc', 'mco', 'モナコ', 'Monaco', 'Monaco'),
(496, 'mn', 'mng', 'モンゴル', 'Mongolia', 'Mongolie'),
(498, 'md', 'mda', 'モルドバ共和国', 'Moldova, Republic of', 'Moldavie'),
(499, 'me', 'mne', 'モンテネグロ', 'Montenegro', 'Monténégro'),
(500, 'ms', 'msr', 'モントセラト', 'Montserrat', 'Montserrat'),
(504, 'ma', 'mar', 'モロッコ', 'Morocco', 'Maroc'),
(508, 'mz', 'moz', 'モザンビーク', 'Mozambique', 'Mozambique'),
(512, 'om', 'omn', 'オマーン', 'Oman', 'Oman'),
(516, 'na', 'nam', 'ナミビア', 'Namibia', 'Namibie'),
(520, 'nr', 'nru', 'ナウル', 'Nauru', 'Nauru'),
(524, 'np', 'npl', 'ネパール', 'Nepal', 'Népal'),
(528, 'nl', 'nld', 'オランダ', 'Netherlands', 'Pays-Bas'),
(531, 'cw', 'cuw', 'キュラソー', 'Curaçao', 'Curaçao'),
(533, 'aw', 'abw', 'アルバ', 'Aruba', 'Aruba'),
(534, 'sx', 'sxm', 'シント・マールテン（オランダ領）', 'Sint Maarten (Dutch part)', 'Saint-Martin'),
(535, 'bq', 'bes', 'ボネール、シント・ユースタティウスおよびサバ', 'Bonaire, Sint Eustatius and Saba', 'Pays-Bas caribéens'),
(540, 'nc', 'ncl', 'ニューカレドニア', 'New Caledonia', 'Nouvelle-Calédonie'),
(548, 'vu', 'vut', 'バヌアツ', 'Vanuatu', 'Vanuatu'),
(554, 'nz', 'nzl', 'ニュージーランド', 'New Zealand', 'Nouvelle-Zélande'),
(558, 'ni', 'nic', 'ニカラグア', 'Nicaragua', 'Nicaragua'),
(562, 'ne', 'ner', 'ニジェール', 'Niger', 'Niger'),
(566, 'ng', 'nga', 'ナイジェリア', 'Nigeria', 'Nigeria'),
(570, 'nu', 'niu', 'ニウエ', 'Niue', 'Niue'),
(574, 'nf', 'nfk', 'ノーフォーク島', 'Norfolk Island', 'Île Norfolk'),
(578, 'no', 'nor', 'ノルウェー', 'Norway', 'Norvège'),
(580, 'mp', 'mnp', '北マリアナ諸島', 'Northern Mariana Islands', 'Îles Mariannes du Nord'),
(581, 'um', 'umi', '合衆国領有小離島', 'United States Minor Outlying Islands', 'Îles mineures éloignées des États-Unis'),
(583, 'fm', 'fsm', 'ミクロネシア連邦', 'Micronesia (Federated States of)', 'États fédérés de Micronésie'),
(584, 'mh', 'mhl', 'マーシャル諸島', 'Marshall Islands', 'Îles Marshall'),
(585, 'pw', 'plw', 'パラオ', 'Palau', 'Palaos'),
(586, 'pk', 'pak', 'パキスタン', 'Pakistan', 'Pakistan'),
(591, 'pa', 'pan', 'パナマ', 'Panama', 'Panama'),
(598, 'pg', 'png', 'パプアニューギニア', 'Papua New Guinea', 'Papouasie-Nouvelle-Guinée'),
(600, 'py', 'pry', 'パラグアイ', 'Paraguay', 'Paraguay'),
(604, 'pe', 'per', 'ペルー', 'Peru', 'Pérou'),
(608, 'ph', 'phl', 'フィリピン', 'Philippines', 'Philippines'),
(612, 'pn', 'pcn', 'ピトケアン', 'Pitcairn', 'Îles Pitcairn'),
(616, 'pl', 'pol', 'ポーランド', 'Poland', 'Pologne'),
(620, 'pt', 'prt', 'ポルトガル', 'Portugal', 'Portugal'),
(624, 'gw', 'gnb', 'ギニアビサウ', 'Guinea-Bissau', 'Guinée-Bissau'),
(626, 'tl', 'tls', '東ティモール', 'Timor-Leste', 'Timor oriental'),
(630, 'pr', 'pri', 'プエルトリコ', 'Puerto Rico', 'Porto Rico'),
(634, 'qa', 'qat', 'カタール', 'Qatar', 'Qatar'),
(638, 're', 'reu', 'レユニオン', 'Réunion', 'La Réunion'),
(642, 'ro', 'rou', 'ルーマニア', 'Romania', 'Roumanie'),
(643, 'ru', 'rus', 'ロシア連邦', 'Russian Federation', 'Russie'),
(646, 'rw', 'rwa', 'ルワンダ', 'Rwanda', 'Rwanda'),
(652, 'bl', 'blm', 'サン・バルテルミー', 'Saint Barthélemy', 'Saint-Barthélemy'),
(659, 'kn', 'kna', 'セントクリストファー・ネイビス', 'Saint Kitts and Nevis', 'Saint-Christophe-et-Niévès'),
(660, 'ai', 'aia', 'アンギラ', 'Anguilla', 'Anguilla'),
(662, 'lc', 'lca', 'セントルシア', 'Saint Lucia', 'Sainte-Lucie'),
(663, 'mf', 'maf', 'サン・マルタン（フランス領）', 'Saint Martin (French part)', 'Saint-Martin'),
(666, 'pm', 'spm', 'サンピエール島・ミクロン島', 'Saint Pierre and Miquelon', 'Saint-Pierre-et-Miquelon'),
(670, 'vc', 'vct', 'セントビンセントおよびグレナディーン諸島', 'Saint Vincent and the Grenadines', 'Saint-Vincent-et-les-Grenadines'),
(674, 'sm', 'smr', 'サンマリノ', 'San Marino', 'Saint-Marin'),
(678, 'st', 'stp', 'サントメ・プリンシペ', 'Sao Tome and Principe', 'Sao Tomé-et-Principe'),
(682, 'sa', 'sau', 'サウジアラビア', 'Saudi Arabia', 'Arabie saoudite'),
(686, 'sn', 'sen', 'セネガル', 'Senegal', 'Sénégal'),
(688, 'rs', 'srb', 'セルビア', 'Serbia', 'Serbie'),
(690, 'sc', 'syc', 'セーシェル', 'Seychelles', 'Seychelles'),
(694, 'sl', 'sle', 'シエラレオネ', 'Sierra Leone', 'Sierra Leone'),
(702, 'sg', 'sgp', 'シンガポール', 'Singapore', 'Singapour'),
(703, 'sk', 'svk', 'スロバキア', 'Slovakia', 'Slovaquie'),
(704, 'vn', 'vnm', 'ベトナム', 'Viet Nam', 'Viêt Nam'),
(705, 'si', 'svn', 'スロベニア', 'Slovenia', 'Slovénie'),
(706, 'so', 'som', 'ソマリア', 'Somalia', 'Somalie'),
(710, 'za', 'zaf', '南アフリカ', 'South Africa', 'Afrique du Sud'),
(716, 'zw', 'zwe', 'ジンバブエ', 'Zimbabwe', 'Zimbabwe'),
(724, 'es', 'esp', 'スペイン', 'Spain', 'Espagne'),
(728, 'ss', 'ssd', '南スーダン', 'South Sudan', 'Soudan du Sud'),
(729, 'sd', 'sdn', 'スーダン', 'Sudan', 'Soudan'),
(732, 'eh', 'esh', '西サハラ', 'Western Sahara', 'République arabe sahraouie démocratique'),
(740, 'sr', 'sur', 'スリナム', 'Suriname', 'Suriname'),
(744, 'sj', 'sjm', 'スヴァールバル諸島およびヤンマイエン島', 'Svalbard and Jan Mayen', 'Svalbard et île Jan Mayen'),
(748, 'sz', 'swz', 'エスワティニ', 'Eswatini', 'Eswatini'),
(752, 'se', 'swe', 'スウェーデン', 'Sweden', 'Suède'),
(756, 'ch', 'che', 'スイス', 'Switzerland', 'Suisse'),
(760, 'sy', 'syr', 'シリア・アラブ共和国', 'Syrian Arab Republic', 'Syrie'),
(762, 'tj', 'tjk', 'タジキスタン', 'Tajikistan', 'Tadjikistan'),
(764, 'th', 'tha', 'タイ', 'Thailand', 'Thaïlande'),
(768, 'tg', 'tgo', 'トーゴ', 'Togo', 'Togo'),
(772, 'tk', 'tkl', 'トケラウ', 'Tokelau', 'Tokelau'),
(776, 'to', 'ton', 'トンガ', 'Tonga', 'Tonga'),
(780, 'tt', 'tto', 'トリニダード・トバゴ', 'Trinidad and Tobago', 'Trinité-et-Tobago'),
(784, 'ae', 'are', 'アラブ首長国連邦', 'United Arab Emirates', 'Émirats arabes unis'),
(788, 'tn', 'tun', 'チュニジア', 'Tunisia', 'Tunisie'),
(792, 'tr', 'tur', 'トルコ', 'Türkiye', 'Turquie'),
(795, 'tm', 'tkm', 'トルクメニスタン', 'Turkmenistan', 'Turkménistan'),
(796, 'tc', 'tca', 'タークス・カイコス諸島', 'Turks and Caicos Islands', 'Îles Turques-et-Caïques'),
(798, 'tv', 'tuv', 'ツバル', 'Tuvalu', 'Tuvalu'),
(800, 'ug', 'uga', 'ウガンダ', 'Uganda', 'Ouganda'),
(804, 'ua', 'ukr', 'ウクライナ', 'Ukraine', 'Ukraine'),
(807, 'mk', 'mkd', '北マケドニア', 'North Macedonia', 'Macédoine du Nord'),
(818, 'eg', 'egy', 'エジプト', 'Egypt', 'Égypte'),
(826, 'gb', 'gbr', 'イギリス', 'United Kingdom of Great Britain and Northern Ireland', 'Royaume-Uni'),
(831, 'gg', 'ggy', 'ガーンジー', 'Guernsey', 'Guernesey'),
(832, 'je', 'jey', 'ジャージー', 'Jersey', 'Jersey'),
(833, 'im', 'imn', 'マン島', 'Isle of Man', 'Île de Man'),
(834, 'tz', 'tza', 'タンザニア', 'Tanzania, United Republic of', 'Tanzanie'),
(840, 'us', 'usa', 'アメリカ合衆国', 'United States of America', 'États-Unis'),
(850, 'vi', 'vir', 'アメリカ領ヴァージン諸島', 'Virgin Islands (U.S.)', 'Îles Vierges des États-Unis'),
(854, 'bf', 'bfa', 'ブルキナファソ', 'Burkina Faso', 'Burkina Faso'),
(858, 'uy', 'ury', 'ウルグアイ', 'Uruguay', 'Uruguay'),
(860, 'uz', 'uzb', 'ウズベキスタン', 'Uzbekistan', 'Ouzbékistan'),
(862, 've', 'ven', 'ベネズエラ・ボリバル共和国', 'Venezuela (Bolivarian Republic of)', 'Venezuela'),
(876, 'wf', 'wlf', 'ウォリス・フツナ', 'Wallis and Futuna', 'Wallis-et-Futuna'),
(882, 'ws', 'wsm', 'サモア', 'Samoa', 'Samoa'),
(887, 'ye', 'yem', 'イエメン', 'Yemen', 'Yémen'),
(894, 'zm', 'zmb', 'ザンビア', 'Zambia', 'Zambie'),
(999, '00', '000', 'なし', 'None', 'Néant');

-- --------------------------------------------------------

--
-- Structure de la table `gesper_department`
--

CREATE TABLE `gesper_department` (
  `id_department` int(11) NOT NULL,
  `department_id_entity` int(11) DEFAULT NULL,
  `intitule_department` varchar(50) DEFAULT NULL,
  `archive` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_department_managers`
--

CREATE TABLE `gesper_department_managers` (
  `personnels_id_personne` int(10) NOT NULL,
  `departements_id_departement` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_document`
--

CREATE TABLE `gesper_document` (
  `id_document` int(11) NOT NULL,
  `document_id_category` int(11) DEFAULT NULL,
  `intitule_document` varchar(250) DEFAULT NULL,
  `path_document` text DEFAULT NULL,
  `date_ajout_document` date DEFAULT NULL,
  `id_user` int(11) DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_document_category`
--

CREATE TABLE `gesper_document_category` (
  `id_document_category` int(10) UNSIGNED NOT NULL,
  `intitule_document_category_fr` mediumtext DEFAULT NULL,
  `intitule_document_category_en` mediumtext DEFAULT NULL,
  `intitule_document_category_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_entities`
--

CREATE TABLE `gesper_entities` (
  `id_entity` int(11) NOT NULL,
  `intitule_entity` text NOT NULL,
  `intitule_entity_romaji` varchar(50) NOT NULL,
  `code_entity` varchar(10) DEFAULT NULL,
  `entity_responsable` varchar(256) DEFAULT NULL,
  `entity_responsable_romaji` varchar(100) NOT NULL,
  `entity_responsable_titre` varchar(256) DEFAULT NULL,
  `entity_responsable_titre_romaji` varchar(50) NOT NULL,
  `entity_adresse1` varchar(256) DEFAULT NULL,
  `entity_adresse1_romaji` varchar(100) NOT NULL,
  `entity_adresse2` varchar(256) DEFAULT NULL,
  `entity_adresse2_romaji` varchar(100) NOT NULL,
  `entity_tel` varchar(20) DEFAULT NULL,
  `entity_fax` varchar(20) NOT NULL,
  `archive` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_entities`
--

INSERT INTO `gesper_entities` (`id_entity`, `intitule_entity`, `intitule_entity_romaji`, `code_entity`, `entity_responsable`, `entity_responsable_romaji`, `entity_responsable_titre`, `entity_responsable_titre_romaji`, `entity_adresse1`, `entity_adresse1_romaji`, `entity_adresse2`, `entity_adresse2_romaji`, `entity_tel`, `entity_fax`, `archive`) VALUES
(1, 'HR Manager Limited', 'HR Manager Limited', '', 'HR Manager Director', 'HR Manager Director', 'Director', 'Director', '3-chōme-3-13 Higashiazabu, ', '3-chōme-3-13 Higashiazabu, ', 'Minato City, Tokyo 106-0044', 'Minato City, Tokyo 106-0044', '03-8080-8080', '03-8080-8081', 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_events`
--

CREATE TABLE `gesper_events` (
  `id_event` int(10) UNSIGNED NOT NULL,
  `event_type` varchar(20) DEFAULT NULL,
  `date_demande` datetime DEFAULT NULL,
  `checked` tinyint(1) DEFAULT 0,
  `event_id_worker` int(11) DEFAULT NULL,
  `date_debut` date DEFAULT NULL,
  `heure_debut` time DEFAULT NULL,
  `date_fin` date DEFAULT NULL,
  `heure_fin` time DEFAULT NULL,
  `nb_days` float NOT NULL DEFAULT 0,
  `nb_days_off` float NOT NULL DEFAULT 0,
  `nb_hours` float NOT NULL DEFAULT 0,
  `reason` mediumtext DEFAULT NULL,
  `type_absence` int(3) DEFAULT NULL,
  `type_leave` int(3) DEFAULT NULL,
  `event_file_name` varchar(50) DEFAULT NULL,
  `event_file_path` mediumtext DEFAULT NULL,
  `memo` mediumtext DEFAULT NULL,
  `date_modif` date NOT NULL,
  `id_user_modif` int(10) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_event_documents`
--

CREATE TABLE `gesper_event_documents` (
  `id_event_document` int(11) NOT NULL,
  `document_id_event` int(11) DEFAULT NULL,
  `intitule_event_document` text DEFAULT NULL,
  `path_event_document` text DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_family_relation`
--

CREATE TABLE `gesper_family_relation` (
  `id_family_relation` int(10) UNSIGNED NOT NULL,
  `intitule_family_relation_fr` mediumtext DEFAULT NULL,
  `intitule_family_relation_en` mediumtext DEFAULT NULL,
  `intitule_family_relation_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_family_relation`
--

INSERT INTO `gesper_family_relation` (`id_family_relation`, `intitule_family_relation_fr`, `intitule_family_relation_en`, `intitule_family_relation_jp`, `date_modif`, `archive`) VALUES
(1, 'Fils', 'son', '息子', NULL, 0),
(2, 'Fille', 'daughter', '娘', NULL, 0),
(3, ' Époux', 'Husband', '夫', NULL, 0),
(4, ' Épouse', 'Wife', '妻', NULL, 0),
(5, ' Père', 'Father', '父', NULL, 0),
(6, ' Mère', 'Mother', '母親', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_marital_status`
--

CREATE TABLE `gesper_marital_status` (
  `id_marital_status` int(10) UNSIGNED NOT NULL,
  `intitule_marital_status_fr` mediumtext DEFAULT NULL,
  `intitule_marital_status_en` mediumtext DEFAULT NULL,
  `intitule_marital_status_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_marital_status`
--

INSERT INTO `gesper_marital_status` (`id_marital_status`, `intitule_marital_status_fr`, `intitule_marital_status_en`, `intitule_marital_status_jp`, `date_modif`, `archive`) VALUES
(1, 'Marié', 'Married', '結婚', NULL, 0),
(2, 'Divorcé', 'Divorced', '離婚', NULL, 0),
(3, ' Célibataire', 'Single', '独身', NULL, 0);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_messages`
--

CREATE TABLE `gesper_messages` (
  `id_message` int(11) NOT NULL,
  `id_author` int(11) DEFAULT NULL,
  `date_heure_message` datetime DEFAULT NULL,
  `title` text DEFAULT NULL,
  `message` mediumtext DEFAULT NULL,
  `message_date_expiration` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_periodicity`
--

CREATE TABLE `gesper_periodicity` (
  `id_periodicity` int(11) NOT NULL,
  `periodicity` int(11) DEFAULT NULL,
  `intitule_periodicity_fr` varchar(30) NOT NULL,
  `intitule_periodicity_en` varchar(30) NOT NULL,
  `intitule_periodicity_jp` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_periodicity`
--

INSERT INTO `gesper_periodicity` (`id_periodicity`, `periodicity`, `intitule_periodicity_fr`, `intitule_periodicity_en`, `intitule_periodicity_jp`) VALUES
(1, 12, 'mois', 'montly', '毎月'),
(2, 4, 'trimestre', 'quarterly', '四半期ごと'),
(3, 1, 'an', 'annual', '毎年'),
(4, 2, 'semestre', 'biannual', '半年ごと');

-- --------------------------------------------------------

--
-- Structure de la table `gesper_personnel`
--

CREATE TABLE `gesper_personnel` (
  `id_personne` int(10) UNSIGNED NOT NULL,
  `civilite` varchar(5) DEFAULT NULL,
  `nom` varchar(255) DEFAULT NULL,
  `prenom` varchar(255) DEFAULT NULL,
  `date_naissance` date NOT NULL DEFAULT '0001-01-01',
  `login` varchar(100) DEFAULT NULL,
  `mdp` varchar(255) DEFAULT NULL,
  `salt` varchar(10) DEFAULT NULL,
  `mail` varchar(255) DEFAULT NULL,
  `date` date NOT NULL DEFAULT '0001-01-01',
  `personnel_id_profil` int(11) DEFAULT NULL,
  `affectation_id_entite` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_personnel`
--

INSERT INTO `gesper_personnel` (`id_personne`, `civilite`, `nom`, `prenom`, `date_naissance`, `login`, `mdp`, `salt`, `mail`, `date`, `personnel_id_profil`, `affectation_id_entite`) VALUES
(388, '', 'admin', 'admin', '0001-01-01', 'admin', '6a80d0fcd457012d445701f6f2a68a899ea61fdefd65c48027f27ac6d206b6de', 'c9rsYXia', 'shirousagilabo@gmail.com', '2023-02-12', 13, 1);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_profil`
--

CREATE TABLE `gesper_profil` (
  `id_profil` int(11) NOT NULL,
  `intitule_profil` varchar(255) DEFAULT NULL,
  `description` mediumtext DEFAULT NULL,
  `num_level` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Déchargement des données de la table `gesper_profil`
--

INSERT INTO `gesper_profil` (`id_profil`, `intitule_profil`, `description`, `num_level`) VALUES
(13, 'Super admin / 管理', 'Adminstrateur principal', 100),
(15, 'Personne en charge des RH', 'Personne en charge des RH', 50),
(5, 'Chef de service', 'Chef de service', 10);

-- --------------------------------------------------------

--
-- Structure de la table `gesper_relatives`
--

CREATE TABLE `gesper_relatives` (
  `id_relative` int(10) UNSIGNED NOT NULL,
  `relative_id_worker` int(11) NOT NULL,
  `nom` varchar(100) DEFAULT NULL,
  `nom_furigana` varchar(100) DEFAULT NULL,
  `prenom` varchar(100) DEFAULT NULL,
  `prenom_furigana` varchar(100) DEFAULT NULL,
  `sexe` varchar(20) DEFAULT NULL,
  `date_naissance` date DEFAULT NULL,
  `lien_worker` mediumtext DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `tel_portable` varchar(36) DEFAULT NULL,
  `secu_entreprise` tinyint(4) NOT NULL DEFAULT 0,
  `numero_securite_sociale` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_relative_have_allowance`
--

CREATE TABLE `gesper_relative_have_allowance` (
  `id_relative_allowance` int(11) NOT NULL,
  `relatives_id_relative` int(10) NOT NULL,
  `allowance_relatives_id_allowance_relative` int(10) NOT NULL,
  `amount` int(11) DEFAULT NULL,
  `periodicity` varchar(30) DEFAULT NULL,
  `age_limit` int(11) NOT NULL DEFAULT 0,
  `date_modif` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_rooms`
--

CREATE TABLE `gesper_rooms` (
  `id_room` int(11) NOT NULL,
  `room_id_building` int(11) DEFAULT NULL,
  `intitule_room` mediumtext DEFAULT NULL,
  `capacity` varchar(50) DEFAULT NULL,
  `description` text DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_schedule`
--

CREATE TABLE `gesper_schedule` (
  `id_schedule` int(10) UNSIGNED NOT NULL,
  `schedule_id_worker` int(11) DEFAULT NULL,
  `date_soumission` date DEFAULT NULL,
  `schedule_minutes` int(11) DEFAULT NULL,
  `schedule_data` mediumtext DEFAULT NULL,
  `date_debut` date DEFAULT NULL,
  `date_fin` date DEFAULT '0000-00-00',
  `schedule_id_personne_validation` int(11) DEFAULT NULL,
  `validation` tinyint(1) DEFAULT NULL,
  `date_validation` date DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_type_absence`
--

CREATE TABLE `gesper_type_absence` (
  `id_type_absence` int(10) UNSIGNED NOT NULL,
  `intitule_type_absence_fr` mediumtext DEFAULT NULL,
  `intitule_type_absence_en` mediumtext DEFAULT NULL,
  `intitule_type_absence_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_type_leave`
--

CREATE TABLE `gesper_type_leave` (
  `id_type_leave` int(10) UNSIGNED NOT NULL,
  `intitule_type_leave_fr` mediumtext DEFAULT NULL,
  `intitule_type_leave_en` mediumtext DEFAULT NULL,
  `intitule_type_leave_jp` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(4) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_workers`
--

CREATE TABLE `gesper_workers` (
  `id_worker` int(10) UNSIGNED NOT NULL,
  `num_worker` mediumtext DEFAULT NULL COMMENT 'Numéro aléatoire unique pour l''employé',
  `nom` varchar(100) DEFAULT NULL,
  `nom_furigana` varchar(100) DEFAULT NULL,
  `nom_romaji` varchar(50) DEFAULT NULL,
  `prenom` varchar(100) DEFAULT NULL,
  `prenom_furigana` varchar(100) DEFAULT NULL,
  `prenom_romaji` varchar(50) DEFAULT NULL,
  `sexe` varchar(1) DEFAULT NULL,
  `date_naissance` varchar(11) DEFAULT NULL,
  `nationalite_1_id_country` int(11) DEFAULT NULL,
  `nationalite_2_id_country` int(11) DEFAULT NULL,
  `mdp` varchar(50) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `email_perso` varchar(100) DEFAULT NULL,
  `tel_interne` varchar(36) DEFAULT NULL,
  `tel_domicile` varchar(36) DEFAULT NULL,
  `tel_portable` varchar(36) DEFAULT NULL,
  `adresse` mediumtext DEFAULT NULL,
  `adresse_batiment` mediumtext DEFAULT NULL,
  `code_postal` varchar(20) DEFAULT NULL,
  `ville_ku` varchar(100) DEFAULT NULL,
  `region` varchar(100) DEFAULT NULL,
  `adresse_id_country` int(11) DEFAULT NULL,
  `marital_status` varchar(50) DEFAULT NULL,
  `academic_level` int(11) DEFAULT NULL,
  `my_number` mediumtext DEFAULT NULL,
  `numero_securite_sociale` varchar(30) DEFAULT NULL,
  `koyo_hoken_number` varchar(30) DEFAULT NULL,
  `numero_retraite` varchar(30) DEFAULT NULL,
  `transport` mediumtext DEFAULT NULL,
  `numen` varchar(100) DEFAULT NULL,
  `numero_matricule` varchar(30) DEFAULT NULL,
  `numero_carte` varchar(30) DEFAULT NULL,
  `worker_id_room` int(11) DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_worker_have_allowance`
--

CREATE TABLE `gesper_worker_have_allowance` (
  `id_worker_allowance` int(11) NOT NULL,
  `worker_id_worker` int(10) NOT NULL,
  `allowance_id_allowance` int(10) NOT NULL,
  `amount` int(11) DEFAULT NULL,
  `periodicity` int(3) DEFAULT NULL,
  `date_modif` date DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Structure de la table `gesper_work_positions`
--

CREATE TABLE `gesper_work_positions` (
  `id_work_position` int(11) NOT NULL,
  `work_position_id_department` int(11) DEFAULT NULL,
  `intitule_work_position` mediumtext DEFAULT NULL,
  `date_modif` date DEFAULT NULL,
  `archive` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `gesper_academic_level`
--
ALTER TABLE `gesper_academic_level`
  ADD PRIMARY KEY (`id_academic_level`);

--
-- Index pour la table `gesper_allowance`
--
ALTER TABLE `gesper_allowance`
  ADD PRIMARY KEY (`id_allowance`);

--
-- Index pour la table `gesper_allowance_documents`
--
ALTER TABLE `gesper_allowance_documents`
  ADD PRIMARY KEY (`id_allowance_document`);

--
-- Index pour la table `gesper_allowance_relative`
--
ALTER TABLE `gesper_allowance_relative`
  ADD PRIMARY KEY (`id_allowance_relative`);

--
-- Index pour la table `gesper_allowance_relative_documents`
--
ALTER TABLE `gesper_allowance_relative_documents`
  ADD PRIMARY KEY (`id_allowance_relative_document`);

--
-- Index pour la table `gesper_amendments`
--
ALTER TABLE `gesper_amendments`
  ADD PRIMARY KEY (`id_amendment`);

--
-- Index pour la table `gesper_amendment_documents`
--
ALTER TABLE `gesper_amendment_documents`
  ADD PRIMARY KEY (`id_amendment_document`);

--
-- Index pour la table `gesper_buildings`
--
ALTER TABLE `gesper_buildings`
  ADD PRIMARY KEY (`id_building`);

--
-- Index pour la table `gesper_cloking_2022`
--
ALTER TABLE `gesper_cloking_2022`
  ADD PRIMARY KEY (`id_clocking`);

--
-- Index pour la table `gesper_cloking_2023`
--
ALTER TABLE `gesper_cloking_2023`
  ADD PRIMARY KEY (`id_clocking`);

--
-- Index pour la table `gesper_cloking_2024`
--
ALTER TABLE `gesper_cloking_2024`
  ADD PRIMARY KEY (`id_clocking`);

--
-- Index pour la table `gesper_contracts`
--
ALTER TABLE `gesper_contracts`
  ADD PRIMARY KEY (`id_contract`);

--
-- Index pour la table `gesper_contract_documents`
--
ALTER TABLE `gesper_contract_documents`
  ADD PRIMARY KEY (`id_contract_document`);

--
-- Index pour la table `gesper_contract_type`
--
ALTER TABLE `gesper_contract_type`
  ADD PRIMARY KEY (`id_contract_type`);

--
-- Index pour la table `gesper_countries`
--
ALTER TABLE `gesper_countries`
  ADD PRIMARY KEY (`id_country`);

--
-- Index pour la table `gesper_department`
--
ALTER TABLE `gesper_department`
  ADD PRIMARY KEY (`id_department`);

--
-- Index pour la table `gesper_department_managers`
--
ALTER TABLE `gesper_department_managers`
  ADD PRIMARY KEY (`personnels_id_personne`,`departements_id_departement`);

--
-- Index pour la table `gesper_document`
--
ALTER TABLE `gesper_document`
  ADD PRIMARY KEY (`id_document`);

--
-- Index pour la table `gesper_document_category`
--
ALTER TABLE `gesper_document_category`
  ADD PRIMARY KEY (`id_document_category`);

--
-- Index pour la table `gesper_entities`
--
ALTER TABLE `gesper_entities`
  ADD PRIMARY KEY (`id_entity`);

--
-- Index pour la table `gesper_events`
--
ALTER TABLE `gesper_events`
  ADD PRIMARY KEY (`id_event`);

--
-- Index pour la table `gesper_event_documents`
--
ALTER TABLE `gesper_event_documents`
  ADD PRIMARY KEY (`id_event_document`);

--
-- Index pour la table `gesper_family_relation`
--
ALTER TABLE `gesper_family_relation`
  ADD PRIMARY KEY (`id_family_relation`);

--
-- Index pour la table `gesper_marital_status`
--
ALTER TABLE `gesper_marital_status`
  ADD PRIMARY KEY (`id_marital_status`);

--
-- Index pour la table `gesper_messages`
--
ALTER TABLE `gesper_messages`
  ADD PRIMARY KEY (`id_message`);

--
-- Index pour la table `gesper_periodicity`
--
ALTER TABLE `gesper_periodicity`
  ADD PRIMARY KEY (`id_periodicity`),
  ADD UNIQUE KEY `periodicity` (`periodicity`);

--
-- Index pour la table `gesper_personnel`
--
ALTER TABLE `gesper_personnel`
  ADD PRIMARY KEY (`id_personne`),
  ADD UNIQUE KEY `mail` (`mail`) USING HASH,
  ADD KEY `fk_personne_level_admin1_idx` (`personnel_id_profil`);

--
-- Index pour la table `gesper_profil`
--
ALTER TABLE `gesper_profil`
  ADD PRIMARY KEY (`id_profil`);

--
-- Index pour la table `gesper_relatives`
--
ALTER TABLE `gesper_relatives`
  ADD PRIMARY KEY (`id_relative`);

--
-- Index pour la table `gesper_relative_have_allowance`
--
ALTER TABLE `gesper_relative_have_allowance`
  ADD PRIMARY KEY (`id_relative_allowance`),
  ADD UNIQUE KEY `relatives_id_relative` (`relatives_id_relative`,`allowance_relatives_id_allowance_relative`);

--
-- Index pour la table `gesper_rooms`
--
ALTER TABLE `gesper_rooms`
  ADD PRIMARY KEY (`id_room`);

--
-- Index pour la table `gesper_schedule`
--
ALTER TABLE `gesper_schedule`
  ADD PRIMARY KEY (`id_schedule`);

--
-- Index pour la table `gesper_type_absence`
--
ALTER TABLE `gesper_type_absence`
  ADD PRIMARY KEY (`id_type_absence`);

--
-- Index pour la table `gesper_type_leave`
--
ALTER TABLE `gesper_type_leave`
  ADD PRIMARY KEY (`id_type_leave`);

--
-- Index pour la table `gesper_workers`
--
ALTER TABLE `gesper_workers`
  ADD PRIMARY KEY (`id_worker`);

--
-- Index pour la table `gesper_worker_have_allowance`
--
ALTER TABLE `gesper_worker_have_allowance`
  ADD PRIMARY KEY (`id_worker_allowance`);

--
-- Index pour la table `gesper_work_positions`
--
ALTER TABLE `gesper_work_positions`
  ADD PRIMARY KEY (`id_work_position`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `gesper_academic_level`
--
ALTER TABLE `gesper_academic_level`
  MODIFY `id_academic_level` int(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT pour la table `gesper_allowance`
--
ALTER TABLE `gesper_allowance`
  MODIFY `id_allowance` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT pour la table `gesper_allowance_documents`
--
ALTER TABLE `gesper_allowance_documents`
  MODIFY `id_allowance_document` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_allowance_relative`
--
ALTER TABLE `gesper_allowance_relative`
  MODIFY `id_allowance_relative` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT pour la table `gesper_allowance_relative_documents`
--
ALTER TABLE `gesper_allowance_relative_documents`
  MODIFY `id_allowance_relative_document` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_amendments`
--
ALTER TABLE `gesper_amendments`
  MODIFY `id_amendment` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_amendment_documents`
--
ALTER TABLE `gesper_amendment_documents`
  MODIFY `id_amendment_document` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_buildings`
--
ALTER TABLE `gesper_buildings`
  MODIFY `id_building` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_cloking_2022`
--
ALTER TABLE `gesper_cloking_2022`
  MODIFY `id_clocking` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_cloking_2023`
--
ALTER TABLE `gesper_cloking_2023`
  MODIFY `id_clocking` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_cloking_2024`
--
ALTER TABLE `gesper_cloking_2024`
  MODIFY `id_clocking` int(10) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_contracts`
--
ALTER TABLE `gesper_contracts`
  MODIFY `id_contract` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_contract_documents`
--
ALTER TABLE `gesper_contract_documents`
  MODIFY `id_contract_document` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_contract_type`
--
ALTER TABLE `gesper_contract_type`
  MODIFY `id_contract_type` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT pour la table `gesper_department`
--
ALTER TABLE `gesper_department`
  MODIFY `id_department` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_document`
--
ALTER TABLE `gesper_document`
  MODIFY `id_document` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_document_category`
--
ALTER TABLE `gesper_document_category`
  MODIFY `id_document_category` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_entities`
--
ALTER TABLE `gesper_entities`
  MODIFY `id_entity` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pour la table `gesper_events`
--
ALTER TABLE `gesper_events`
  MODIFY `id_event` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_event_documents`
--
ALTER TABLE `gesper_event_documents`
  MODIFY `id_event_document` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_family_relation`
--
ALTER TABLE `gesper_family_relation`
  MODIFY `id_family_relation` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT pour la table `gesper_marital_status`
--
ALTER TABLE `gesper_marital_status`
  MODIFY `id_marital_status` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT pour la table `gesper_messages`
--
ALTER TABLE `gesper_messages`
  MODIFY `id_message` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_periodicity`
--
ALTER TABLE `gesper_periodicity`
  MODIFY `id_periodicity` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT pour la table `gesper_personnel`
--
ALTER TABLE `gesper_personnel`
  MODIFY `id_personne` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=403;

--
-- AUTO_INCREMENT pour la table `gesper_profil`
--
ALTER TABLE `gesper_profil`
  MODIFY `id_profil` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT pour la table `gesper_relatives`
--
ALTER TABLE `gesper_relatives`
  MODIFY `id_relative` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_relative_have_allowance`
--
ALTER TABLE `gesper_relative_have_allowance`
  MODIFY `id_relative_allowance` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_rooms`
--
ALTER TABLE `gesper_rooms`
  MODIFY `id_room` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_schedule`
--
ALTER TABLE `gesper_schedule`
  MODIFY `id_schedule` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_type_absence`
--
ALTER TABLE `gesper_type_absence`
  MODIFY `id_type_absence` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_type_leave`
--
ALTER TABLE `gesper_type_leave`
  MODIFY `id_type_leave` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_workers`
--
ALTER TABLE `gesper_workers`
  MODIFY `id_worker` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_worker_have_allowance`
--
ALTER TABLE `gesper_worker_have_allowance`
  MODIFY `id_worker_allowance` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT pour la table `gesper_work_positions`
--
ALTER TABLE `gesper_work_positions`
  MODIFY `id_work_position` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
